Page MenuHomePhabricator

Make non-existent subpages in Flow occupied namespaces Flow again
Closed, ResolvedPublic

Event Timeline

Mattflaschen-WMF raised the priority of this task from to Needs Triage.
Mattflaschen-WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 221975 had a related patch set uploaded (by Catrope):
Revert "Temporarily make subpages in occupied namespaces non-Flow again"

https://gerrit.wikimedia.org/r/221975

DannyH triaged this task as Normal priority.Jun 30 2015, 9:03 PM

Change 221975 merged by jenkins-bot:
Revert "Temporarily make subpages in occupied namespaces non-Flow again"

https://gerrit.wikimedia.org/r/221975

Change 221995 had a related patch set uploaded (by Catrope):
Revert "Temporarily make subpages in occupied namespaces non-Flow again"

https://gerrit.wikimedia.org/r/221995

Change 221997 had a related patch set uploaded (by Catrope):
Revert "Temporarily make subpages in occupied namespaces non-Flow again"

https://gerrit.wikimedia.org/r/221997

Change 221995 merged by jenkins-bot:
Revert "Temporarily make subpages in occupied namespaces non-Flow again"

https://gerrit.wikimedia.org/r/221995

Change 221997 merged by jenkins-bot:
Revert "Temporarily make subpages in occupied namespaces non-Flow again"

https://gerrit.wikimedia.org/r/221997

Etonkovidova added a subscriber: Etonkovidova.EditedJul 2 2015, 8:46 PM

Checked on ca.wikipedia.beta.wmflabs.org - Flow subpages are created with content _model='wikitext'

DannyH closed this task as Resolved.Jul 6 2015, 5:05 PM
DannyH claimed this task.

Change 223453 had a related patch set uploaded (by Mattflaschen):
Remove Flow_test and Flow_test_talk overrides

https://gerrit.wikimedia.org/r/223453

Mattflaschen-WMF reopened this task as Open.EditedJul 7 2015, 9:40 PM

That's not correct. All pages in a Flow namespace (subpages or not, existent or not) should be Flow (flow-board content model), unless they are holdovers from pre-Flow time or created/moved in specially.

http://ca.wikipedia.beta.wmflabs.org/wiki/Viquip%C3%A8dia_Discussi%C3%B3:Foo is not hooked up yet on Beta Catalan Wikipedia, which https://gerrit.wikimedia.org/r/223453 should fix.

ca.wikipedia.beta.wmflabs.org/wiki/Especial:EnableFlow creates subpages with content _model='flow-board'.

Created pages/subpages in Talk namesapce on cawiki, testwiki, and enwiki creates wikitext pages due to https://gerrit.wikimedia.org/r/#/c/223453/ which still has "Merge if Necessary/Review in Progress".

Creating pages/subpages in office.wikimedia.org/wiki/Talk: will result in Flow pages.

DannyH closed this task as Resolved.Jul 13 2015, 4:41 PM

Change 223453 abandoned by Mattflaschen:
Remove Flow_test and Flow_test_talk overrides

Reason:
Abandoning for now. Not strictly necessary.

https://gerrit.wikimedia.org/r/223453